/*
	<linux/compat/poll_select_wait.h>
	$Id: poll_select_wait.h,v 1.1 2000/12/24 14:26:12 fedorov Exp $

	poll/select_wait()

	(C) Dmitry A. Fedorov, fedorov@inp.nsk.su, 2000
	Copying policy: GNU GPL
*/

#ifndef  _LINUX_COMPAT_POLL_SELECT_WAIT_H
# define _LINUX_COMPAT_POLL_SELECT_WAIT_H


/* wait_queue_head_t, select_table, KERNEL_VERSION() */
# include <linux/compat/wait.h>

struct file;


# if LINUX_VERSION_CODE < KERNEL_VERSION(2,1,23)
#  include <linux/compat/sched.h>	/* select_wait() */

typedef select_table poll_select_table_t;

extern inline void poll_select_wait(struct file* file,
	wait_queue_head_t* wq, poll_select_table_t* pst)
{
	select_wait(wq, pst);
}

# else
#  include <linux/compat/poll.h>	/* poll_table, poll_wait() */

typedef   poll_table poll_select_table_t;

extern inline void poll_select_wait(struct file* file,
	wait_queue_head_t* wq, poll_select_table_t* pst)
{
	poll_wait(file, wq, pst);
}

# endif


#endif	/* _LINUX_COMPAT_POLL_SELECT_WAIT_H */

