/*
	simulate interrupt on IRQ driver

	(C) Dmitry A. Fedorov, fedorov@inp.nsk.su
	Copying-policy: LGPL

	$Id: irqsim.c,v 1.5 1999/10/21 07:32:40 fedorov Exp $

	tab size = 4
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <fcntl.h>		/* open */
#include <signal.h>
#include <unistd.h>
#include <string.h>		/* strerror */
#include "../irq.h"

static int Usage(const char* progname)
{
	fprintf(stderr, "Usage: %s irqdevice count\n", progname);
	return 1;
}

int main(int ac, char* av[])
{
	int fd,rc,count=0;

	if (ac<3) return Usage(av[0]);

	fd=open(av[1], O_RDWR);
	if (fd==-1)
	{
		perror(av[1]);
		return 2;
	}

	count=atoi(av[2]);
	if (count==0) return Usage(av[0]);

	for (; count--; )
	{
		rc=irq_simulate(fd);
		if (rc==-1)
		{
			fprintf(stderr, "irq_simulate(%s) error: %s",
				av[1], strerror(errno) );
			return 2;
		}
	}

	return 0;
}

